const express = require('express');
const { getConnection, searchEmojis } = require('../libs/mysql');

const router = express.Router();

router.get('/', async (req, res) => {
    const { search } = req.query;
    const connection = await getConnection();
    const emojis = await searchEmojis(connection, search);
    connection.end();
    res.send(emojis);
});

module.exports = router;